sdk version No command ‘sdk’ found

Got this error while trying to install sdkman on ubuntu:

root@ubuntu:~/.sdkman/bin# sdk version
No command ‘sdk’ found, did you mean:
Command ‘skk’ from package ‘libskk-dev’ (universe)
Command ‘sds’ from package ‘simh’ (universe)
Command ‘sak’ from package ‘seqan-apps’ (universe)
Command ‘sd’ from package ‘sd’ (universe)
Command ‘sdc’ from package ‘hpsockd’ (universe)
Command ‘fdk’ from package ‘plastimatch’ (universe)
Command ‘sdf’ from package ‘sdf’ (universe)
Command ‘sdb’ from package ‘sdb’ (universe)
sdk: command not found
root@ubuntu:~/.sdkman/bin# apt-get update

I issued the following command and it resolved the error:
sudo apt-get install unzip
sudo apt-get install zip
sudo apt-get install sed

and then i reinstalled sdkman
curl -s “https://get.sdkman.io” | bash

All was fine.

root@ubuntu:~# sdk version
==== BROADCAST =================================================================
* 09/04/17: Maven 3.5.0 released on SDKMAN! #maven
* 06/04/17: Java 9ea+163 for Mac, Windows and Linux 64 released on SDKMAN! #java
* 04/04/17: Gradle 3.5-rc-3 released on SDKMAN! #gradle
================================================================================

After some time, I was trying to install grails 3.2.8 and then i got this:
root@ubuntu:~# sdk install grails 3.2.8

Downloading: grails 3.2.8

In progress…

0.9%
curl: (56) GnuTLS recv error (-54): Error in the pull function.
End-of-central-directory signature not found. Either this file is not
a zipfile, or it constitutes one disk of a multi-part archive. In the
latter case the central directory and zipfile comment will be found on
the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of /root/.sdkman/archives/grails-3.2.8.zip or
/root/.sdkman/archives/grails-3.2.8.zip.zip, and cannot find /root/.sdkman/archives/grails-3.2.8.zip.ZIP, period.

Stop! The archive was corrupt and has been removed! Please try installing again.
root@ubuntu:~# sdk install grails

Solution:
==========
I installed grails 3.2.7 instead.
SDKMAN 5.5.8+227

Advertisements